<%--

The example uses the FreeMarker taglib, you may have to put the fmtag.tld inside the WEB-INF folder to get it to work.

--%>

<%@ page session="false" %>
<%@ page import="java.util.*,java.io.*" %>
<%@ page import="org.opencms.jsp.*,org.opencms.file.*" %>
<%@ page import="freemarker.template.*,com.codedroids.oc.freemarker.*" %>
<%@ taglib prefix="fm"  uri="/WEB-INF/fmtag.tld" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>

<jsp:useBean id="cms" scope="request" class="org.opencms.jsp.CmsJspActionElement" >
  <% cms.init(pageContext, request, response); %>
</jsp:useBean>
<jsp:useBean id="data" scope="request" class="com.codedroids.oc.freemarker.CmsHash" >
  <jsp:setProperty name="data" property="cms" value="<%= cms %>" />
</jsp:useBean>

<html>
  <head>
    <title><cms:property name="Title"/></title>
  </head>
  <body>
    <h1><cms:property name="Title"/></h1>
    <p>
      This header is generated by the OpenCms taglib
    </p>
    
<fm:template>    
    <#assign cmsx = request.cms>
    <h1>${cmsx.property("Title")}</h1>
    <p>
      This header is generated by FreeMarker via the cms-bean
    </p>

    <#assign data = request.data>
    <h1>${data.localProperties.Title}</h1>
    <p>
      This header is generated by FreeMarker via the CmsHash-bean
    </p>
</fm:template>
 </body>
</html>
